require 'rails/generators/active_record'
require 'dunlop/generators'
class Dunlop::InstallGenerator < Rails::Generators::Base
  include Rails::Generators::Migration
  include Dunlop::Generators::GeneratorHelpers
  source_root File.expand_path('../templates', __FILE__)

  def generate_all_dunlop_modules
    generate "dunlop:install:base"
    generate "dunlop:install:source_files"
    generate "dunlop:install:csv"
    generate "dunlop:install:target_files" # requires source_file (configuration installer)
    generate "dunlop:install:workflow"
  end
end
